### Method

# Vte Terminal set_font

#### Declaration [src]

    void
    vte_terminal_set_font (
      VteTerminal* terminal,
      const PangoFontDescription* font_desc
    )

#### Description [src]

Sets the font used for rendering all text displayed by the terminal, overriding any fonts set using gtk_widget_modify_font(). The terminal will immediately attempt to load the desired font, retrieve its metrics, and attempt to resize itself to keep the same number of rows and columns. The font scale is applied to the specified font.

#### Parameters

`font_desc`

  Type: `PangoFontDescription`

  A `PangoFontDescription` for the desired font, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.